Bug 1906441 - HorizontalNav and NavBar have invalid keys
Summary: HorizontalNav and NavBar have invalid keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-10 14:26 UTC by Robb Hamilton
Modified: 2021-02-24 15:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2020-12-09-112139 Cluster ID: ee2c8ba6-6d0a-4adb-ad15-5a2ca0c3cbe8 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 11_0_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36
Last Closed: 2021-02-24 15:41:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7514 0 None closed Bug 1906441: fix keys for HorizontalNav and NavBar 2021-01-07 22:00:46 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:42:14 UTC

Description Robb Hamilton 2020-12-10 14:26:09 UTC
As a result of internationalization, the value of the keys in HorizontalNav and NavBar have changed from `name` to `nameKey`, but the code was not updated to reflect this change.  As a result, browser console errors are output saying a unique key is required

Comment 3 Yadan Pei 2020-12-21 06:24:52 UTC
didn't see this error in browser console when visiting console with version 4.7.0-0.nightly-2020-12-20-031835

Moving to VERIFIED. let me know if the verification steps are wrong

Comment 5 errata-xmlrpc 2021-02-24 15:41:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.